include "application"

akka {
  actor {
    # system = "payment-generator"
    system = "multi-actor-system"
    provider = cluster
    serializers {
      java = "akka.serialization.JavaSerializer"
      proto = "akka.remote.serialization.ProtobufSerializer"
    }
  }
  remote {
    enabled-transports = ["akka.remote.netty.tcp"]
    netty.tcp {
      hostname = "127.0.0.1"
      port = 0
    }
  }
  cluster {
      roles = ["source-system"]
      seed-nodes = [
        "akka.tcp://multi-actor-system@127.0.0.1:2553",
        "akka.tcp://multi-actor-system@127.0.0.1:2554"
      ]
    }
  loglevel = "INFO"
  log-sent-messages = on
  log-received-messages = on
}

#apps.sale-system = "akka.tcp://multi-actor-system@127.0.0.1:2554/user/sale-system-manager"
apps.sales {
  system = "akka://multi-actor-system/user/sale-system-manager"
  request-topic = "sale-system/sales"
}